# STM32 Example

This is unfinished work in progress.  
The goal is to create a simple C example of a STM32F103C8T6 Blue Pill board running a simple program.

`sudo dnf install arm-none-eabi-gcc-cs stlink`

- [STM32F103C8T6 Blue Pill](https://stm32-base.org/boards/STM32F103C8T6-Blue-Pill.html)
- [STM32F103C8T6 Blue Pill Datasheet](https://www.st.com/resource/en/datasheet/stm32f103c8.pdf)
- [Bare Metal C on the Blue Pill](https://leap.tardate.com/arm/stm32f103c8t6/baremetal/)
- [Bare Metal C on the Blue Pill Source Code](https://github.com/tardate/LittleArduinoProjects/tree/master/ARM/STM32F103C8T6/BareMetal)
- [Bare Metal Embedded playlist](https://www.youtube.com/playlist?list=PLERTijJOmYrDiiWd10iRHY0VRHdJwUH4g)
- [Getting Started With STM32](https://stm32-base.org/guides/getting-started)
- [STM32-base source](https://github.com/STM32-base/STM32-base) and the specific [F1 Template](https://github.com/STM32-base/STM32-base-F1-template)
- [stm32_bare_metal repository](https://github.com/mensi/stm32_bare_metal)
- [Bare-metal STM32 Hackaday article](https://hackaday.com/2021/03/26/bare-metal-stm32-please-mind-the-interrupt-event/)
